Bug 672505 - can not provision KVM guest when host is connected to satellite through IPv6
Summary: can not provision KVM guest when host is connected to satellite through IPv6
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 540
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: spaceIPv6
TreeView+ depends on / blocked
 
Reported: 2011-01-25 11:30 UTC by Jan Hutař
Modified: 2015-05-29 20:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 20:11:29 UTC


Attachments (Terms of Use)
screenshot of failure after I have manually selected language and keyboard profile (29.83 KB, image/png)
2011-01-25 11:30 UTC, Jan Hutař
no flags Details

Description Jan Hutař 2011-01-25 11:30:23 UTC
Created attachment 475145 [details]
screenshot of failure after I have manually selected language and keyboard profile

Description of problem:
I'm not able to provision RHEL4.8 KVM guest on a host connected to satellite through IPv6.


Version-Release number of selected component (if applicable):
spacewalk-koan-0.2.7-7.el5sat
rhn-virtualization-common-5.4.14-1.el5sat
libvirt-0.6.3-33.el5
rhn-client-tools-0.4.20-33.el5
rhnlib-2.5.22-3.el5


How reproducible:
always


Steps to Reproduce:
1. Setup IPv6 tunnel and DNS between host and satellite, ignoring IPv4
2. Using Satellite 5.4.0 schedule provisioning of KVM RHEL4.8 guest on the host
3. On client run `rhn_check -vv` to pick up the action


Actual results:
Installation starts, but when I connect using virt-manager, I see installation hanged on language and keyboard profile selection. When I go further manually, installer fails to download netstg2.img (see screenshot).


Expected results:
Should work

Comment 1 Jan Hutař 2011-01-25 11:39:36 UTC
On host I got:

# rhn_check -vv
D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>spacewalk-koan</string></value>\n<value><string>0.2.7</string></value>\n<value><string>7.el5sat</string></value>\n<value><string></string></value>\n<value><string>noarch</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 317}
updateLoginInfo() login info
D: login(forceUpdate=True) invoked
logging into up2date server
D: writeCachedLogin() invoked
D: Wrote pickled loginInfo at  1295950168.58  with expiration of  1295953768.58  seconds.
successfully retrieved authentication token from up2date server
D: logininfo: {'X-RHN-Server-Id': 1000010080, 'X-RHN-Auth-Server-Time': '1295950168.57', 'X-RHN-Auth': 'riRSGEaqG8eMp61muVQWkw==', 'X-RHN-Auth-Channels': [['rhel-x86_64-server-5', '20110121023129', '1', '1'], ['rhel-x86_64-server-vt-5', '20110121040104', '0', '1'], ['rhn-tools-rhel-x86_64-server-5', '20110119100004', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>spacewalk-koan</string></value>\n<value><string>0.2.7</string></value>\n<value><string>7.el5sat</string></value>\n<value><string></string></value>\n<value><string>noarch</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 317}
D: handle_action actionid = 317, version = 2
D: do_call packages.update ([['spacewalk-koan', '0.2.7', '7.el5sat', '', 'noarch']],)
Loaded plugins: rhnplugin
D: Called update [['spacewalk-koan', '0.2.7', '7.el5sat', '', 'noarch']]
D: Dependencies Resolved
D: Downloading Packages:
D: Running Transaction Test
D: Finished Transaction Test
D: Transaction Test Succeeded
D: Running Transaction
Updating package profile
D: Sending back response (0, 'Update Succeeded', {})
D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>kickstart_guest.initiate</methodName>\n<params>\n<param>\n<value><string>sun-v40z-01.rhts.eng.bos.redhat.com</string></value>\n</param>\n<param>\n<value><string>hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:1:jhutar-rhel48</string></value>\n</param>\n<param>\n<value><string>qemu</string></value>\n</param>\n<param>\n<value><int>2</int></value>\n</param>\n<param>\n<value><string>jhutar-rhel48</string></value>\n</param>\n<param>\n<value><int>1024</int></value>\n</param>\n<param>\n<value><int>1</int></value>\n</param>\n<param>\n<value><int>10</int></value>\n</param>\n<param>\n<value><string>virbr0</string></value>\n</param>\n<param>\n<value><string>/var/lib/libvirt/images/jhutar-rhel48</string></value>\n</param>\n<param>\n<value><string> </string></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 318}
updateLoginInfo() login info
D: login(forceUpdate=True) invoked
logging into up2date server
D: writeCachedLogin() invoked
D: Wrote pickled loginInfo at  1295950174.94  with expiration of  1295953774.94  seconds.
successfully retrieved authentication token from up2date server
D: logininfo: {'X-RHN-Server-Id': 1000010080, 'X-RHN-Auth-Server-Time': '1295950174.93', 'X-RHN-Auth': 'k/PVIRgnwOZrNHBbJXmang==', 'X-RHN-Auth-Channels': [['rhel-x86_64-server-5', '20110121023129', '1', '1'], ['rhel-x86_64-server-vt-5', '20110121040104', '0', '1'], ['rhn-tools-rhel-x86_64-server-5', '20110119100004', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>kickstart_guest.initiate</methodName>\n<params>\n<param>\n<value><string>sun-v40z-01.rhts.eng.bos.redhat.com</string></value>\n</param>\n<param>\n<value><string>hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:1:jhutar-rhel48</string></value>\n</param>\n<param>\n<value><string>qemu</string></value>\n</param>\n<param>\n<value><int>2</int></value>\n</param>\n<param>\n<value><string>jhutar-rhel48</string></value>\n</param>\n<param>\n<value><int>1024</int></value>\n</param>\n<param>\n<value><int>1</int></value>\n</param>\n<param>\n<value><int>10</int></value>\n</param>\n<param>\n<value><string>virbr0</string></value>\n</param>\n<param>\n<value><string>/var/lib/libvirt/images/jhutar-rhel48</string></value>\n</param>\n<param>\n<value><string> </string></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 318}
D: handle_action actionid = 318, version = 2
D: do_call kickstart_guest.initiate ('sun-v40z-01.rhts.eng.bos.redhat.com', 'hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:1:jhutar-rhel48', 'qemu', 2, 'jhutar-rhel48', 1024, 1, 10, 'virbr0', '/var/lib/libvirt/images/jhutar-rhel48', ' ')
- looking for Cobbler at http://sun-v40z-01.rhts.eng.bos.redhat.com/cobbler_api
- reading URL: http://sun-v40z-01.rhts.eng.bos.redhat.com/cblr/svc/op/ks/system/hp-sl2x170zg6-02.rhts.eng.bos.redhat.com:1:jhutar-rhel48
install_tree: http://sun-v40z-01.rhts.eng.bos.redhat.com/ty/mWCRSDMp
libvirtd (pid  30842) is running...
- using qemu hypervisor, type=kvm
libvir: QEMU error : Domain not found: no domain with matching name 'jhutar-rhel48'
- adding disk: /var/lib/libvirt/images/jhutar-rhel48 of size 10
libvir: QEMU error : Domain not found: no domain with matching uuid '�U�\U^�v(�^��AI@'
libvir: QEMU error : Domain not found: no domain with matching name 'jhutar-rhel48'
use virt-manager and connect to qemu to manage guest: jhutar-rhel48
- polling for virt completion
- install is still running, sleeping for 1 minute (0)
- install is still running, sleeping for 1 minute (1)
[...]

Comment 2 Jan Pazdziora 2011-07-21 14:50:24 UTC
Removing from space15 as this is Satellite bugzilla.

Comment 3 Jan Pazdziora 2012-02-28 16:19:35 UTC
Satellite bugzilla should not block space17, removing.

Comment 4 Jan Hutař 2012-02-29 15:42:50 UTC
As anaconda in RHEL5 is unable to install system through IPv6, so RHEL4 one is expected not to as well. So I assume this is anaconda/OS issue, not ours and bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.